# bm\_exchange

Types and settings for the blackmarket exchange option

{% hint style="success" %}
You can add or remove items in here. Just define them inside `t1ger_chopshop/shared/items.lua` and follow the same setup as below.
{% endhint %}

```lua
---@class ExchangeMaterial
---@field item string
---@field amount number

---@class ExchangeGive
---@field item string
---@field icon string

---@class BlackmarketExchange
---@field give ExchangeGive
---@field receive ExchangeMaterial[]

---@type BlackmarketExchange[]
return {
    {
        give = {item = Config.Items["door"].item, icon = Config.Items["door"].icon}, -- item (name and icon) to give
        receive = { -- items (materials) to receive
            {item = "scrap_metal", amount = 3}, -- item name and amount
            {item = "steel", amount = 5}, -- item name and amount
            {item = "plastic", amount = 2}, -- item name and amount
            {item = "rubber", amount = 2} -- item name and amount
        }
    },
    {
        give = {item = Config.Items["hood"].item, icon = Config.Items["hood"].icon},
        receive = {
            {item = "scrap_metal", amount = 3},
            {item = "steel", amount = 6},
            {item = "aluminium", amount = 3},
            {item = "rubber", amount = 1}
        }
    },
    {
        give = {item = Config.Items["trunk"].item, icon = Config.Items["trunk"].icon},
        receive = {
            {item = "scrap_metal", amount = 4},
            {item = "steel", amount = 5},
            {item = "aluminium", amount = 2},
            {item = "plastic", amount = 2},
            {item = "rubber", amount = 1}
        }
    },
    {
        give = {item = Config.Items["wheel"].item, icon = Config.Items["wheel"].icon},
        receive = {
            {item = "scrap_metal", amount = 2},
            {item = "steel", amount = 4},
            {item = "rubber", amount = 5},
            {item = "carbon_fiber", amount = 2},
            {item = "brass", amount = 1}
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/bm_exchange.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
